Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 373273 - sys-libs/tdb-1.2.9 fails on portage-multilib because of waflib module's python support
Summary: sys-libs/tdb-1.2.9 fails on portage-multilib because of waflib module's pytho...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL: http://code.google.com/p/waf/issues/d...
Whiteboard:
Keywords:
Depends on: 367291
Blocks: portage-multilib 379001 379003
  Show dependency tree
 
Reported: 2011-06-28 02:45 UTC by Nathan Phillip Brink (binki) (RETIRED)
Modified: 2016-01-19 16:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
tdb-1.2.9-build.log (tdb-1.2.9-build.log,25.54 KB, text/plain)
2011-06-28 02:45 UTC, Nathan Phillip Brink (binki) (RETIRED)
Details
emerge--info.txt (emerge--info.txt,6.93 KB, text/plain)
2011-06-28 02:46 UTC, Nathan Phillip Brink (binki) (RETIRED)
Details
talloc-2.0.5-waf-multilib.patch (talloc-2.0.5-waf-multilib.patch,781 bytes, patch)
2011-06-28 02:51 UTC, Nathan Phillip Brink (binki) (RETIRED)
Details | Diff
tdb-1.2.9.ebuild-waflib-python.patch (tdb-1.2.9.ebuild-waflib-python.patch,762 bytes, patch)
2011-06-28 03:07 UTC, Nathan Phillip Brink (binki) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2011-06-28 02:45:52 UTC
Created attachment 278413 [details]
tdb-1.2.9-build.log

many packages' waflibs don't support /usr/bin/python-config being written in non-python. On portage-multilib, python-config is written in POSIX shell as a wrapper trying to pass off execution to python-config-${ABI} as appropriate.

See tdb-1.2.9-build.log.
Comment 1 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2011-06-28 02:46:23 UTC
Created attachment 278415 [details]
emerge--info.txt
Comment 2 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2011-06-28 02:51:35 UTC
Created attachment 278417 [details, diff]
talloc-2.0.5-waf-multilib.patch

Patch against the bundled waflib (exactly the same patch as fixes the same (yet unfiled) bug with talloc-2.0.5's waflib.
Comment 3 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2011-06-28 03:07:51 UTC
Created attachment 278419 [details, diff]
tdb-1.2.9.ebuild-waflib-python.patch

This patch requires bug #367291 to be fixed before it is valid, but it fixes this particular compilation issue on portage-multilib.
Comment 4 Tomáš Chvátal (RETIRED) gentoo-dev 2012-09-13 18:59:03 UTC
Nice, but I would say more systematic solution in waf eclass would be better, some non fatal sed if it gets ever fixed upstream or so.
Comment 5 Ewoud Kohl van Wijngaarden 2012-12-19 11:13:39 UTC
On my system /usr/bin/python-config is also a bash script (I guess this is because of the new python-r1.eclass and distutils-r1.eclass) but tdb still compiles fine. Is this still a problem on portage-multilib?
Comment 6 Víctor Ostorga (RETIRED) gentoo-dev 2016-01-11 21:25:56 UTC
This is fixed in tdb-1.3.8